/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for iswctype(wint_t, wctype_t).  This test the wint_t
   parameter for the specifed property.  If the wide character has the 
   specified property, than a nonzero value will be returned.  If it does not,
   then zero will be returned.
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;
    char *prop;

    prop = "upper";
    wc = 'I';
    fputs("The wide character '", stdout);
    fputwc(wc, stdout);
    if(iswctype(wc, wctype(prop)) > 0)
        printf("' has the property: %s\n", prop);
    else
        printf("' does not have the property: %s\n", prop);
}
